var selectedSealImgBase64;
var selectedSealImgId;
var selectedSealType;

$(function () {
    init();
})

/**
 * 初始化函数集合
 */
function init() {
    showSeal();
    bind();
}

//获取印章图片列表
function showSeal() {
    var sealInfoArray = parent.sealInfoArray;
    for (var i in sealInfoArray) {
        var sealInfo = sealInfoArray[i];
        var sealtype = sealInfo.sealtype;
        var sealName = "";
        if (sealtype == "0") {
            sealName = "公章";
        } else if (sealtype == "2") {
            sealName = "法人章";
        } else if (sealtype == "6") {
            sealName = "经办人章";
        } else if (sealtype == "7") {
            sealName = "手绘签名";
        } else if(sealtype == "3") {
            sealName = "合同章";
        }
        var sealObj = "";
        sealObj =
            "<span class='certSealItem' style='cursor:pointer'>" +
            "<input type='radio' name='sealId' value='" + sealInfo.sealid + "'/>"
            + sealName + "</span><br/>"
            + "<input type='hidden' id='" + sealInfo.sealid + "_sealImgBase64'  value='" + sealInfo.picdata + "'/>"
            + "<input type='hidden' id='" + sealInfo.sealid + "_sealType'  value='" + sealInfo.sealtype + "'/>";
        $("#sealListDiv").append(sealObj);
    }
    $(".certSealItem").click(function (event) {
        var sealItem = $(event.target);
        var curRadio = sealItem.find(":radio");
        curRadio.prop("checked", "checked");
        curRadio.trigger("click");
    });
    //绑定事件
    $("[name='sealId']").bind("click", function () {
        setShowSealImg();
    });
    $("[name='sealId']:first").prop("checked", true);
    setShowSealImg();
}

//设置右边印章图片显示内容
function setShowSealImg() {
    selectedSealImgId = $("input:radio[name='sealId']:checked").val();
    selectedSealImgBase64 = $("#" + selectedSealImgId + "_sealImgBase64").val();
    selectedSealType = $("#" + selectedSealImgId + "_sealType").val();
    $("#sealImg").prop("src", "data:image/png;base64," + selectedSealImgBase64);
    $("#sealImg").show();
}

function bind() {
    $('#okBtn').click(function () {
        parent.result = 'success';
        parent.selectedSealId = selectedSealImgId;
        parent.selectedSealImgBase64 = selectedSealImgBase64;
        parent.selectedSealType = selectedSealType;
        if (selectedSealType == "0") {
            parent.sealSignEnd = parent.endPage;
        } else if (selectedSealType == "2") {
            parent.frSignEnd = parent.endPage;
        } else if (selectedSealType == "6") {
            parent.agentSignEnd = parent.endPage;
        } else if (selectedSealType == "7") {
            parent.sxqmSignEnd = parent.endPage;
        } else if (selectedSealType == "3") {
            parent.contractSignEnd = parent.endPage;
        }
        parent.layer.close(parent.index);
    });
};
