$(function () {
    init();
})

/**
 * 初始化函数集合
 */
function init() {
    $("#sealSize").val(parent.sealDefaultSize);
    $("#frSealSize").val(parent.frzSealDefaultSize);
    $("#contractSealSize").val(parent.contractzSealDefaultSize);
    $("#sxqmSealSize").val(parent.sxqmSealDefaultSize);
    $("#agentSealSize").val(parent.agentSealDefaultSize);
    var sealInfoArray = parent.sealInfoArray;
    console.log(sealInfoArray)
    if(sealInfoArray != null){
        $("#sealSizeLi").hide();
        $("#frSealSizeLi").hide();
        $("#contractSealSizeLi").hide();
        $("#sxqmSealSizeLi").hide();
        $("#agentSealSizeLi").hide();
        for(var i = 0; i <sealInfoArray.length; i++){
            if(sealInfoArray[i].sealtype == "2"){
                $("#frSealSizeLi").show();
            }else if(sealInfoArray[i].sealtype == "3"){
                $("#contractSealSizeLi").show();
            }else if(sealInfoArray[i].sealtype == "7"){
                $("#sxqmSealSizeLi").show();
            }else if(sealInfoArray[i].sealtype == "6"){
                $("#agentSealSizeLi").show();
            }else{
                $("#sealSizeLi").show();
            }
        }
    }
    formValid();
    bindEvent();
}

/**
 * 表单验证
 */
function formValid() {
    $('#setPageNumForm').validate({
        rules: {
            sealSize: {
                required: true,
                digits:true,
                max: 600,
                min: 50
            },
            frSealSize: {
                required: true,
                digits:true,
                max: 600,
                min: 50
            },
            sxqmSealSize: {
                required: true,
                digits:true,
                max: 600,
                min: 50
            },
            agentSealSize: {
                required: true,
                digits:true,
                max: 600,
                min: 50
            }
        },
        showErrors: function (errorMap, errorList) {
            for (var i in errorMap) {
                layer.tips(errorMap[i], $('#setPageNumForm input[name=' + i + ']'), {
                    tips: 3,
                    tipsMore: true,
                    ltype: 0
                });
            }
        },
        submitHandler: function () {
            var sealSize = $("#sealSize").val();
            var frzSealSize = $("#frSealSize").val();
            var contractzSealSize = $("#contractSealSize").val();
            var sxqmSealSize = $("#sxqmSealSize").val();
            var agentSealSize = $("#agentSealSize").val();
            parent.result = "success";
            parent.sealDefaultSize = sealSize;
            parent.frzSealDefaultSize = frzSealSize;
            parent.contractzSealDefaultSize = contractzSealSize
            parent.sxqmSealDefaultSize = sxqmSealSize;
            parent.agentSealDefaultSize = agentSealSize;
            parent.layer.close(parent.index);
        }
    })
}

function mAlert(msg, func) {
    layer.alert(msg, {
        icon: typeof (func) === 'number' ? func : 0,
        title: '提示'
    }, function (index) {
        if (func && typeof(func) == "function") {
            (func)();
        }
        layer.close(index);
    });
}

function bindEvent() {
    $('#cancel_btn').bind("click", function () {
        parent.result = "close";
        parent.layer.close(parent.index);
    });
}
