//用于查询
var interval;
var uuid;
var invaildTime = 120;
var picdata;

$(function () {
    uuid = parent.uuid;
    invaildTime = parent.timeout;
    picdata = parent.picdata;
    $("#qrcode").attr("src", "data:image/png;base64," + picdata);
    $("#qrcode").attr("width", "350px");
    //设置失效刷新提示
    setTimeout(refreshQrcode, invaildTime * 1000);
    //轮询结果
    interval = setInterval(getResult, 3000);
})

//获取扫码结果
function getResult() {
    $.ajax({
        type: "get",
        async: false,
        url: "https://localhost:9819/?method=62",
        data: {
            "serverurl": parent.serverurl + "/api/qrcode/getdatabyuuid",
            "uuid":uuid
        },
        dataType: "jsonp",
        jsonp: "callback",//传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(一般默认为:callback)
        jsonpCallback: "myjsonpcall",//自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名，也可以写"?"，jQuery会自动为你处理数据
        success: function (data) {
            if(data.retcode==0){//获取到了结果
                data = data.retvalue;
                if (data.rslt == "fail") {
                    return ;
                } else {
                    parent.signdata = data.data.signdata;
                    parent.layer.close(parent.index);
                }
            }
        }
    });
}

//刷新二维码
function refreshQrcode() {
    //停止轮询
    clearInterval(interval);
    var layerId = showloading("正在处理中，请耐心等待");
    $.ajax({
        type: "get",
        async: false,
        url: "https://localhost:9819/?method=58",
        data: {},
        dataType: "jsonp",
        jsonp: "callback",//传递给请求处理程序或页面的，用以获得jsonp回调函数名的参数名(一般默认为:callback)
        jsonpCallback: "myjsonpcall",//自定义的jsonp回调函数名称，默认为jQuery自动生成的随机函数名，也可以写"?"，jQuery会自动为你处理数据
        success: function (data) {
            hiddenLoading(layerId);
            if (data.retcode != 0) {
                mAlert("获取签名二维码失败");
                return;
            }
            data = data.retvalue;
            if (data.rslt == "success") {
                uuid = data.uuid;
                picdata = data.picdata;
                invaildTime = data.timeout;
                $("#qrcode").attr("src", "data:image/png;base64," + picdata);
                $("#qrcode").attr("width", "350px");
                setTimeout(refreshQrcode, invaildTime * 1000);
                interval = setInterval(getResult, 3000);
            } else {
                mAlert("获取签名二维码失败");
                return;
            }
        }
    });
}

function isBlank(obj) {
    if (obj == null || typeof(obj) == 'undefined' || obj == '') {
        return true;
    }
    return false;
}

function showloading(msg) {
    if (isBlank(msg)) {
        msg = "正在处理，请稍等...";
    }
    return layer.msg(msg, {
        icon: 16,
        shade: [0.5, '#f5f5f5'],
        scrollbar: false,
        time: 100000
    });
}

function hiddenLoading(index) {
    layer.close(index);
}

function mAlert(msg, func) {
    layer.alert(msg, {
        icon: typeof (func) === 'number' ? func : 0,
        title: '提示'
    }, function (index) {
        if (func && typeof(func) == "function") {
            (func)();
        }
        layer.close(index);
    });
}


